%global origname TelegramQML

# Since Qt 5.7.0 is not needed
%{!?_qt5_qmldir:%global _qt5_qmldir %%{_qt5_archdatadir}/qml}

Name:           telegramqml
Version:        2.0.0
Release:        8%{?dist}
Summary:        Telegram API tools for QtQml and Qml

License:        GPLv3+
URL:            https://github.com/Aseman-Land/TelegramQML
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Cherry-picked patches from upstream
Patch0001:      0001-Add-support-for-secret-chats-on-the-DialogListModel-.patch
Patch0002:      0002-Fix-the-passHash-bug.patch
Patch0003:      0003-Fix-no-return-in-nonvoid-function.patch
Patch0004:      0004-Add-SharedPointer-Qml-component-to-use-TelegramShare.patch

BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  openssl-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  libqtelegram-ae-devel

%description
%{summary}.

%prep
%autosetup -n %{origname}-%{version} -p1
mkdir %{_target_platform}

%build
pushd %{_target_platform}
  %qmake_qt5 QMAKE_CFLAGS_ISYSTEM= ..
popd
%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%files
%license LICENSE
%{_qt5_qmldir}/TelegramQml/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.0.0-3
- Backport couple of patches from upstream

* Sun Jul 24 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.0.0-2
- Trivial fixes

* Sat Jul 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.0.0-1
- Initial package
